Subject: bug#12728: closed (Re: bug#12728: v8.20 is missing LIBICONV for factor tool)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 25 Oct 2012 09:57:02 +0000

Your bug report

#12728: v8.20 is missing LIBICONV for factor tool

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12728: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12728
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12728: v8.20 is missing LIBICONV for factor tool
From: Pádraig Brady <[email-masked]>
To: Christian Jullien <[email-masked]>
Cc: [email-masked]
Date: Thu, 25 Oct 2012 10:54:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 10/25/2012 05:30 AM, Christian Jullien wrote:
> Hi maintainers,
>
> Trying to compile new 8.20 version on my Solaris 10 sparc machine using gcc
> 4.7.2, I got an error on factor link:
>
> CCLD   src/factor
>
> lib/libcoreutils.a(striconv.o): In function `mem_cd_iconv':
>
> /export/home/jullien/coreutils-8.20/lib/striconv.c:55: undefined reference
> to `libiconv'

Right you are.
This is required in the new factor because of:

   proper_name_utf8 ("Torbjorn Granlund", "Torbj\303\266rn Granlund"),   \
   proper_name_utf8 ("Niels Moller", "Niels M\303\266ller")

I didn't pick up the issue on my gcc 3.4.3, solaris 10, sparc
test system because of:

   $ grep ICONV lib/config.h
   /* #undef HAVE_ICONV */
   #define HAVE_ICONV_H 1
   #define ICONV_CONST const
   #define ICONV_FLAVOR ICONV_FLAVOR_SOLARIS

To fix this up I'll add in:

diff --git a/src/local.mk b/src/local.mk
index 6a01ef1..f40f681 100644
--- a/src/local.mk
+++ b/src/local.mk
@@ -277,6 +277,7 @@ src_cat_LDADD += $(LIBICONV)
  src_cp_LDADD += $(LIBICONV)
  src_df_LDADD += $(LIBICONV)
  src_du_LDADD += $(LIBICONV)
+src_factor_LDADD += $(LIBICONV)
  src_getlimits_LDADD += $(LIBICONV)
  src_printf_LDADD += $(LIBICONV)
  src_ptx_LDADD += $(LIBICONV)

thanks!
Pádraig.

Subject: v8.20 is missing LIBICONV for factor tool
From: "Christian Jullien" <[email-masked]>
To: <[email-masked]>
Date: Thu, 25 Oct 2012 06:30:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi maintainers,

Trying to compile new 8.20 version on my Solaris 10 sparc machine using gcc
4.7.2, I got an error on factor link:

CCLD   src/factor

lib/libcoreutils.a(striconv.o): In function `mem_cd_iconv':

/export/home/jullien/coreutils-8.20/lib/striconv.c:55: undefined reference
to `libiconv'

/export/home/jullien/coreutils-8.20/lib/striconv.c:72: undefined reference
to `libiconv'

I easily fixed this issue adding $(LIBICONV) on Makefile.in (Line 3117):

< src_factor_LDADD = $(LDADD) $(LIB_GMP)

> src_factor_LDADD = $(LDADD) $(LIB_GMP) $(LIBICONV)

This is the only issue I had.

Thanks to include this fix for the next release.

Christian